Bug Hunting Session
Bug 51911 - Moldovan language support missing
Summary: Moldovan language support missing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.0.0.beta3
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-09 14:20 UTC by Urmas
Modified: 2014-10-24 22:07 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2012-07-09 14:20:43 UTC
LibreOffice has missing support for Moldovan language, ro-MD, and its variant ro-Cyrl-MD.
Comment 1 Rainer Bielefeld Retired 2012-08-19 06:14:12 UTC
If nobody creates that we cant ship it.

@Urmas:
I believe we never had that? At least I can't switch UI language to something like Moldovan in 3.3.3. Did you ever see that for LibO?
Comment 2 Urmas 2012-08-19 06:35:17 UTC
Not UI language. Text language for proofing tools.
Comment 3 Rainer Bielefeld Retired 2012-08-19 06:49:05 UTC
@Urmas 
proofing tools are dictionaries?
<https://wiki.documentfoundation.org/BugTriage#Process>  item 5!
Comment 4 Urmas 2012-08-19 10:43:22 UTC
Yes, a supported lang code to use by dictionaries, fo:language, etc., etc.
This two languages are missing, and it is clearly a bug.
Comment 5 Rainer Bielefeld Retired 2012-08-22 19:13:07 UTC
@András:
I think "ro-MD" and its variant "ro-Cyrl-MD" should be added to the languages list so that they con be used as document language.
Comment 6 Andras Timar 2012-08-22 19:30:35 UTC
LibreOffice cannot handle ro-Cyrl-MD. ro-MD support was already there, I just added it to UI.
Comment 7 Not Assigned 2012-08-22 19:31:00 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=055751056187b2e15a7bfee84000c86b91c75d1e

fdo#51911 add Moldovan (ro-MD) to language selection list
Comment 8 Eike Rathke 2012-08-22 21:16:23 UTC
For consistency (following the 'ro' ISO code) the list entry should be "Romanian (Moldova)" and "Romanian" be changed to "Romanian (Romania)".

It's called Moldovan in Moldova, so Moldovan localization may prefer to translate it as Moldovan.
See also http://www.ethnologue.com/show_language.asp?code=ron
Comment 9 Andras Timar 2012-08-23 13:45:43 UTC
(In reply to comment #8)
> For consistency (following the 'ro' ISO code) the list entry should be
> "Romanian (Moldova)" and "Romanian" be changed to "Romanian (Romania)".
> 
> It's called Moldovan in Moldova, so Moldovan localization may prefer to
> translate it as Moldovan.
> See also http://www.ethnologue.com/show_language.asp?code=ron

http://cgit.freedesktop.org/libreoffice/core/commit/?id=51b0ada7403b7959cd0753218bff34b7cd4a7a24
Comment 10 tommy27 2014-10-24 22:07:10 UTC
marking this as RESOLVED WORKSFORME
Comment 11 tommy27 2014-10-24 22:07:58 UTC
ooopsss... I meant FIXED since we know the committs that resolved the bug